<template lang="pug">
	.avatar
		figure
			img( v-if="perfil.imagen", :src="perfil.imagen", :alt="alias" )
			img( v-else, src="@img/man-user.svg", alt="alias")

</template>

<script>
import { mapState, mapActions, mapMutations, mapGetters } from "vuex"
export default {
	name:"Avatar",
	computed:{
		...mapState([
			"perfil"
		]),
		...mapGetters([
			"alias"
		])
	}
}
</script>

<style lang="stylus">
@import '~nib/index'
@import "../stylus/base/utiles.styl"

.avatar
	position relative
	border-radius 100%
	box-sizing border-box
	background-color tint( azul, 90% )

	&::before
		content ""
		display block
		padding-top 100%

	figure
		margin 5%
		absolute top left right bottom
		box-sizing border-box

		background-color tint( azul, 40% )
		border-radius 100%
		overflow hidden

		img
			width 100%
			height 100%
			absolute top 50% left 50%
			transform translate( -50%, -50% )

</style>


